public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/stella/
Date: Sun,  4 Jul 2021 11:53:30 +0000 (UTC)	[thread overview]
Message-ID: <1625399140.2b68c46e3574a74e55d377fa47e68ca3c7c931e3.ionen@gentoo> (raw)

commit:     2b68c46e3574a74e55d377fa47e68ca3c7c931e3
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  4 09:55:08 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Jul  4 11:45:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b68c46e

games-emulation/stella: add 6.5.3

Most old ebuild workarounds haven't been needed for some time.

Simplified, EAPI 8, prefix support, xdg eclass, and png/zlib IUSE.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-emulation/stella/Manifest            |  1 +
 games-emulation/stella/stella-6.5.3.ebuild | 58 ++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/games-emulation/stella/Manifest b/games-emulation/stella/Manifest
index 7736606d3b5..3dd6eea9941 100644
--- a/games-emulation/stella/Manifest
+++ b/games-emulation/stella/Manifest
@@ -1 +1,2 @@
 DIST stella-6.5.2-src.tar.xz 6220652 BLAKE2B 8bb51ff15b28436eb83b918ca6123956482e4342c4f9560dcea608a856899a65176c9012146d1a2affe22ee0a589e945424e897853890e23ff503d97b893e32f SHA512 dc7685fd166fad578bce62c961419755db7c4b8ac6e6e2e10f0edfa3b0f63bf43d64119483cc47fc86dfe95e09bc800c27392239aeb68a2ccf37d0f224d6493c
+DIST stella-6.5.3-src.tar.xz 6221588 BLAKE2B 1cee75cd27c14db5a2eaf3a6d88af5b3d081c2577afd4b46b27ef33dd11d676cd5fe981d8ae918373b16d7f50e0151a9e0fc00765fb39370ea50f8322a90b963 SHA512 67fe45c0be510494e4c3ead91ee5f7c9a8ba7059b76beb15e794ef49144c8f0fb57d7c7476f4f299e573e37ea1c41f2fb094ca10974f3bcda797fc69c9bd2986

diff --git a/games-emulation/stella/stella-6.5.3.ebuild b/games-emulation/stella/stella-6.5.3.ebuild
new file mode 100644
index 00000000000..0834d742503
--- /dev/null
+++ b/games-emulation/stella/stella-6.5.3.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs xdg
+
+DESCRIPTION="Multi-platform Atari 2600 VCS Emulator"
+HOMEPAGE="https://stella-emu.github.io"
+SRC_URI="https://github.com/stella-emu/stella/releases/download/${PV}/${P}-src.tar.xz"
+
+LICENSE="BSD GPL-2+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+joystick png zlib"
+REQUIRED_USE="png? ( zlib )"
+
+RDEPEND="
+	media-libs/libsdl2[joystick?,opengl,sound,video]
+	png? ( media-libs/libpng:= )
+	zlib? ( sys-libs/zlib:= )"
+DEPEND="${RDEPEND}"
+
+DOCS=(
+	Announce.txt Changes.txt README-SDL.txt
+	Readme.txt docs/R77_readme.txt Todo.txt
+)
+
+src_prepare() {
+	default
+
+	sed -i '/CXXFLAGS+=/s/-fomit-frame-pointer//' Makefile || die
+}
+
+src_configure() {
+	tc-export CC CXX
+
+	# not an autotools generated script
+	local configure=(
+		./configure
+		--host=${CHOST}
+		--prefix="${EPREFIX}"/usr
+		--docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+		$(use_enable joystick)
+		$(use_enable png)
+		$(use_enable zlib zip)
+		${EXTRA_ECONF}
+	)
+
+	echo ${configure[*]}
+	"${configure[@]}" || die
+}
+
+src_install() {
+	default
+
+	rm "${ED}"/usr/share/doc/${PF}/html/*.txt || die
+}


             reply	other threads:[~2021-07-04 11:53 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-04 11:53 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-16  8:42 [gentoo-commits] repo/gentoo:master commit in: games-emulation/stella/ Ionen Wolkens
2024-11-24 11:01 Ionen Wolkens
2024-01-28 16:34 Ionen Wolkens
2024-01-23  9:28 Ionen Wolkens
2022-07-03  5:33 Ionen Wolkens
2022-06-22  0:54 Ionen Wolkens
2021-12-02  5:13 Ionen Wolkens
2021-11-17 10:55 Ionen Wolkens
2021-07-17  8:16 Ionen Wolkens
2021-07-04 11:53 Ionen Wolkens
2021-04-24 22:03 David Seifert
2021-03-22 19:42 Sam James
2021-03-22 19:20 Sam James
2018-11-10 21:12 James Le Cuirot
2018-11-10 21:12 James Le Cuirot
2018-11-10 21:12 James Le Cuirot
2018-04-29 13:06 Pacho Ramos
2018-04-29 13:06 Pacho Ramos
2016-06-06 14:31 Agostino Sarubbo
2016-04-12 23:13 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1625399140.2b68c46e3574a74e55d377fa47e68ca3c7c931e3.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox